/*================
フロート
================*/
#whiteday2026 .floating {
  /* background-color: #fff; */
  box-sizing: border-box;
  width: 100%;
  /*padding: 1rem;*/
  transition: ease 0.3s;
}

#whiteday2026 #floatBox {
  position: relative;
  z-index: 10000 !important;
  background-image: linear-gradient(to right, #CFAB5F 0%, #E8DBBD 50%, #CFAB5F 100%);
}

#whiteday2026 #float {
  position: fixed;
  top: 0;
  z-index: 10000 !important;
  transform: translateY(-100%);
  transition: ease-in-out 0.3s;
  max-width: 1200px;
  background-image: linear-gradient(to right, #CFAB5F 0%, #E8DBBD 50%, #CFAB5F 100%);
}

#whiteday2026 #float.float {
  transform: translateY(0%);
}

#whiteday2026 #float ul,
#whiteday2026 #floatBox ul {
  display: flex;
  justify-content: center;
  transition: opacity ease 0.3s;
  padding: 0.5rem 1vw;
  flex-wrap: nowrap;
  /* flex-wrap: wrap;
}
#whiteday2026 #float ul li,
#whiteday2026 #floatBox ul li {
  /* margin: 0 1rem; */
  /* width: 120px; */
}

#whiteday2026 #float ul a,
#whiteday2026 #floatBox ul a {
  display: inline-block;
  width: 100%;
  height: 100%;
  text-align: center;
  box-sizing: border-box;
  text-decoration: none;
  color: inherit;
  border-radius: 10px;
  padding: 0.2rem;
  transition: ease 0.3s;
}

#whiteday2026 #float ul a:hover,
#whiteday2026 #floatBox ul a:hover {
  box-shadow: inset 1px 3px 5px #77756c;
}

#whiteday2026 #float ul a:hover img,
#whiteday2026 #floatBox ul a:hover img {
  opacity: 1;
}

#whiteday2026 #float ul a img,
#whiteday2026 #floatBox ul a img {
  width: 70%;
  margin: 5%;
}

#whiteday2026 #float ul a>span,
#whiteday2026 #floatBox ul a>span {
  display: block;
  font-size: 0.7rem;
  color: #000;
  /* text-shadow: 0 0 5px #000; */
}

#whiteday2026 .floating.float {
  position: fixed;
  z-index: 1000;
  top: 0;
}

#whiteday2026 #float .float_bottom {
  text-align: center;
  opacity: 0;
  visibility: hidden;
  padding: 0.5rem 1rem;
  position: relative;
}

#whiteday2026 #float .float_bottom img {
  height: 40px;
}

#whiteday2026 #float.float .float_bottom {
  opacity: 1;
  visibility: visible;
}

#whiteday2026 #float.float .float_bottom {
  width: 100%;
}

#whiteday2026 #float #float_btn .arrow {
  display: inline-block;
  position: absolute !important;
  right: 1.5rem;
  bottom: 50%;
  transform: translateY(50%);
  width: 15px;
  height: 15px;
}

#whiteday2026 #float #float_btn .arrow::before {
  content: '';
  display: block;
  width: 15px;
  height: 15px;
  border: 3px solid #000;
  border-top: none;
  border-left: none;
  border-radius: 0 0 3px 0;
  text-decoration: none;
  transition: ease-in-out 0.3s;
  transition: all ease 0.3s;
  transform: scale(1, -1) rotate(45deg) translateY(-40%);
}

#whiteday2026 #float.float #float_btn {
  border-top: 1px solid #000;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  color: #000;
  font-size: 1.2em;
  position: relative;
}

#whiteday2026 #float #float_btn.active .arrow::before {
  transform: rotate(45deg) translateY(-40%);
}

@media screen and (max-width: 768px) {
  #whiteday2026 .floating {
    width: 100%;
    /*padding: 0.5rem 1.5vw;*/
  }

  #whiteday2026 #float ul,
  #whiteday2026 #floatBox ul {
    flex-wrap: wrap;
    /* display: grid;
    grid-template-rows: 1fr 1fr 1fr;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-areas:
      'top top'
      'middle middle'
      'bottom bottom'; */
  }

  #whiteday2026 #float ul a span,
  #whiteday2026 #floatBox ul a span {
    font-size: max(0.5rem, min(2vw, 0.7rem));
  }

  #whiteday2026 #float ul li,
  #whiteday2026 #floatBox ul li {
    margin: 0.2rem 0;
    width: calc(100% / 5);
    /* width: 100%; */
  }

  /*
  #whiteday2026 #float ul li:nth-child(n + 4):nth-child(-n + 7),
  #whiteday2026 #floatBox ul li:nth-child(n + 4):nth-child(-n + 7) {
    margin: 0.2rem 1vw;
    width: calc(100% / 4 - 2vw);
  }
*/

  #whiteday2026 #float ul a img,
  #whiteday2026 #floatBox ul a img {
    width: 60%;
    min-width: 60px;
  }
}